質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.75%

  • Ruby

    7043questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Heroku

    768questions

    HerokuはHeroku社が開発と運営を行っているPaaSの名称です。RubyやNode.js、Python、そしてJVMベース(Java、Scala、Clojureなど)の複数のプログラミング言語をサポートしている。

  • Cloud9

    384questions

    Cloud9は、クラウドからのプログラミングが可能になるWebサービス。IDEとしての機能が搭載されており、GitHubやHerokuなど他ツールとの連携も可能です。ブラウザ上で動くため、デバイスに関係なく開発環境を準備できます。

cloud9でサーバーが起動できません。

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 133

yonekoman

score 1

 前提・実現したいこと

herokuのアプリをcloud9にCloneして、githubレポジトリー経由で管理しようと、環境設定をしています。

cloud9でCloneしたアプリをPreviewしようとサーバー起動したのですが、下記メッセージが出てサーバーが起動しません。

Your Ruby version is 2.3.4, but your Gemfile specified 2.3.0

こちらやその他もググってみてみたものの、初心者の私にはわかる内容のものがありませんでした。

どのように対応すればよろしいでしょうか?

また、本番環境ですでに動いているアプリがなぜ、Cloud9上ではRubyやGemのバージョンがひっかかって動かないのか?仮に、この問題が解決できてCloud9上でPreviewできたとして、これをPUSHして本番環境にあたった場合、動かなくなるなどの影響が出ないか?などを心配しております。

なにとぞ、ご指導のほどお願い申し上げます。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

Your Ruby version is 2.3.4, but your Gemfile specified 2.3.0

上記メッセージが「Rubyのバージョンは2.3.4ですが、Gemfileは2.3.0を指定しています(Google翻訳)」なので、Rubyのバージョンが異なることが原因であるということが分かります。

Gemfileが何か分からない場合ググればいろいろ情報が出てくるので、すぐわかります。

上記サイトの記述を引用すると、

そもそもGemfileって?
Bundler用の設定ファイル。

BundlerはGemfileの記述にしたがって、gemの依存関係を示したGemfile.lockを生成する。
じゃあ、Bundlerって何さ?
アプリケーションで使用するgemのバージョン管理を行うプログラム。

「お前が書いたコード動かないんだけど?」
「ハァ? 俺の環境では動いてるし。バージョン違うんじゃねーの? 死ねよ」

ってならないためのツール。

また、本番環境ですでに動いているアプリがなぜ、Cloud9上ではRubyやGemのバージョンがひっかかって動かないのか?仮に、この問題が解決できてCloud9上でPreviewできたとして、これをPUSHして本番環境にあたった場合、動かなくなるなどの影響が出ないか?などを心配しております。

あなたが心配していることが起きないように、ツールがエラーを出しているのだということが理解できたことと思います。

以上の内容でどのような対処を行う必要があるのかもう分かっていると思いますが、念のために書いておくと、実行しようとしてエラーが出た環境にRuby2.3.0をインストールするのがやるべきことです。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/05/23 14:14

    tkmtmkt様

    ご丁寧な回答を頂戴しまして、誠にありがとうございました。
    試行錯誤してやってみようと思います。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.75%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • Ruby

    7043questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Heroku

    768questions

    HerokuはHeroku社が開発と運営を行っているPaaSの名称です。RubyやNode.js、Python、そしてJVMベース(Java、Scala、Clojureなど)の複数のプログラミング言語をサポートしている。

  • Cloud9

    384questions

    Cloud9は、クラウドからのプログラミングが可能になるWebサービス。IDEとしての機能が搭載されており、GitHubやHerokuなど他ツールとの連携も可能です。ブラウザ上で動くため、デバイスに関係なく開発環境を準備できます。